Package io.vertx.ext.web.handler

## Interface DigestAuthHandler

- All Superinterfaces:
    `AuthenticationHandler`, `Handler<RoutingContext>`

      public interface DigestAuthHandler
      extends AuthenticationHandler

  An auth handler that provides HTTP Basic Authentication support.
  Author:
    Paulo Lopes

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `DEFAULT_NONCE_EXPIRE_TIMEOUT` | The default nonce expire timeout to use in milliseconds.

  - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DigestAuthHandler` | `create​(Vertx vertx, HtdigestAuth authProvider)` | Create a digest auth handler
    `static DigestAuthHandler` | `create​(Vertx vertx, HtdigestAuth authProvider, long nonceExpireTimeout)` | Create a digest auth handler, specifying the expire timeout for nonces.

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Field Detail

    - #### DEFAULT_NONCE_EXPIRE_TIMEOUT

          static final long DEFAULT_NONCE_EXPIRE_TIMEOUT

      The default nonce expire timeout to use in milliseconds.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static DigestAuthHandler create​(Vertx vertx,
                                          HtdigestAuth authProvider)

      Create a digest auth handler
      Parameters:
        `vertx` - the vertx instance
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### create

          static DigestAuthHandler create​(Vertx vertx,
                                          HtdigestAuth authProvider,
                                          long nonceExpireTimeout)

      Create a digest auth handler, specifying the expire timeout for nonces.
      Parameters:
        `vertx` - the vertx instance
        `authProvider` - the auth service to use
        `nonceExpireTimeout` - the nonce expire timeout in milliseconds.
      Returns:
        the auth handler